(function longPolling() {
	window.onload = function() {
		setTimeout(function() {
			mui.plusReady(function() {
				var ws = plus.webview.currentWebview();
				if(ws){
					var subWebview = ws.children();
					mui.each(subWebview, function(i, o) {
						//动画，如果不想用等待窗口，就注释掉一下两句
						o.addEventListener("loaded", onBrowserLoaded, false);
						o.addEventListener("loading", onBrowserLoading, false);
					});
				}
				//开始
				function onBrowserLoading() {
					topHeight = plus.navigator.getStatusbarHeight();
					mui.openWindow({
						url: "../page/wandering.html",
						id: "wandering",
						styles: {
							zindex: 1,
							top: '-' + topHeight + 'px',
							bottom: '0px',
							background: "transparent",
							errorPage: 'wandering.html'
						},
						show: {
							aniShow: "fade-in",
							duration: "400"
						},
						waiting: {
							autoShow: false
						}
					});
					//超时设定
					setTimeout(function() {
						var wd = plus.webview.getWebviewById('wandering');
						if (wd) {
							//超时隐藏等待窗口
							wd.hide();
							//超时停止网页加载，如果需要就去掉注释
							/*
							var ws = plus.webview.currentWebview();
							ws.stop();
							var subWebview = ws.children();
							mui.each(subWebview, function(i, o) {
								o.stop();
							});
							*/
						}

					}, 10000);
				};
				//结束
				function onBrowserLoaded() {
					setTimeout(function() {
						var wd = plus.webview.getWebviewById('wandering');
						if (wd) wd.hide();
					}, 100);
				};

			});
		}, 500);
	};
})();